## fldigi 4.1.01

=== debian/changelog ===
fldigi (4.1.01-1) unstable; urgency=medium

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Fri, 01 Mar 2019 17:29:52 +0100

=== debian/control ===
Source: fldigi
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Kamal Mostafa <kamal@whence.com>,
 Jaime Robles <jaime@debian.org>,
 Patrick Ouellette <pouelle@debian.org>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 asciidoc,
 debhelper (>= 9),
 docbook-xsl,
 libfltk1.3-dev,
 libflxmlrpc-dev,
 libhamlib-dev,
 libpng-dev,
 libpulse-dev,
 libsamplerate0-dev,
 libsndfile1-dev,
 portaudio19-dev,
 xsltproc,
Standards-Version: 4.3.0
Homepage: http://www.w1hkj.com/
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/fldigi.git
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/fldigi

Package: fldigi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: extra-xdg-menus
Description: digital modem program for hamradio operators
 Fldigi is a modem program which supports most of the digital modes used
 by hamradio operators today. You can also use the program for
 calibrating your sound card to WWV or doing a frequency measurement test.
 The program also comes with a CW decoder. Fldigi is written with the
 help of the Fast Light Toolkit X GUI.

=== debian/rules ===
#!/usr/bin/make -f

# Override BUILD_{DATE,USER,HOST} for reproducible build
export BUILD_DATE = $(shell dpkg-parsechangelog -SVersion)
export BUILD_USER = $(shell dpkg-parsechangelog -SSource)
export BUILD_HOST = $(shell dpkg-vendor --query Vendor)

%:
	dh  $@

override_dh_clean:
	# Remove the pre-generated man pages (often "NOT-BUILT" dummies)
	rm -f doc/flarq.1 doc/fldigi.1
	dh_clean

override_dh_install:
	find debian/fldigi -name *.xpm -delete
	mkdir -p debian/fldigi/usr/share/icons/hicolor/64x64/apps
	cp data/fldigi-psk.png debian/fldigi/usr/share/icons/hicolor/64x64/apps/fldigi.png
	dh_install debian/flarq.png usr/share/icons/hicolor/48x48/apps

override_dh_installdocs:
	dh_installdocs --link-doc=fldigi

## fldigi 4.1.05

=== debian/changelog ===
fldigi (4.1.05-0mx19) mx; urgency=medium

  * Rebuild for MX-19

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sat, 20 Jul 2019 19:07:47 -0400

fldigi (4.1.05-0mx17) mx; urgency=medium

  * New upstream release
  * Build for MX-17/18

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sat, 20 Jul 2019 16:24:05 -0400

## fldigi 4.1.06

=== debian/changelog ===
fldigi (4.1.06-2~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- ”SwampRabbit” <swamprabbit@mxlinux.org>  Sun, 26 Apr 2020 22:45:20 -0400

fldigi (4.1.06-2) unstable; urgency=medium

  * B-D on libmbedtls-dev with explicit flags (it still doesn't have
    pkg-config support, #900015).
  * Remove build path from build flags stored in src/config.h.

 -- Christoph Berg <myon@debian.org>  Sun, 28 Jul 2019 19:12:42 +0200

fldigi (4.1.06-1) unstable; urgency=medium

  * New upstream release.
  * Run reprotest with diffoscope output enabled.

 -- Christoph Berg <myon@debian.org>  Sat, 27 Jul 2019 22:18:25 +0200

fldigi (4.1.03-1) experimental; urgency=medium

  * New upstream release.
  * Add debian/gitlab-ci.yml.
  * TODO: B-D on libmbedtls-dev once it has pkg-config support (#900015).

 -- Christoph Berg <myon@debian.org>  Tue, 30 Apr 2019 21:21:35 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fldigi
 Section: hamradio
 Priority: optional
-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
+XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders: Kamal Mostafa <kamal@whence.com>,
  Jaime Robles <jaime@debian.org>,
  Patrick Ouellette <pouelle@debian.org>,
@@ -13,6 +14,7 @@
  libfltk1.3-dev,
  libflxmlrpc-dev,
  libhamlib-dev,
+ libmbedtls-dev (>= 2.16),
  libpng-dev,
  libpulse-dev,
  libsamplerate0-dev,

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,12 @@
 	rm -f doc/flarq.1 doc/fldigi.1
 	dh_clean
 
+override_dh_auto_configure:
+	# force using external libmbedtls (with explicit flags until it has pkg-config support, #900015)
+	dh_auto_configure -- --with-libmbedtls LIBMBEDTLS_CFLAGS="-I/usr/include/mbedtls" LIBMBEDTLS_LIBS="-lmbedtls -lmbedx509 -lmbedcrypto"
+	# remove build path from build flags
+	sed -i -e 's/\(-f[^ ]*prefix-map\)=[^ =]*=/\1=.=/g' src/config.h
+
 override_dh_install:
 	find debian/fldigi -name *.xpm -delete
 	mkdir -p debian/fldigi/usr/share/icons/hicolor/64x64/apps
@@ -22,3 +28,5 @@
 override_dh_installdocs:
 	dh_installdocs --link-doc=fldigi
 
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## fldigi 4.1.18

=== debian/changelog ===
fldigi (4.1.18-1) unstable; urgency=medium

  * New upstream version 4.1.18.

 -- Christoph Berg <myon@debian.org>  Mon, 01 Feb 2021 23:29:20 +0100

fldigi (4.1.17-1) unstable; urgency=medium

  * New upstream version 4.1.17.
  * Add sensible-utils and xdg-utils to recommends.

 -- Christoph Berg <myon@debian.org>  Thu, 14 Jan 2021 18:35:19 +0100

fldigi (4.1.14-1) unstable; urgency=low

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Use secure URI in debian/watch.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Archive, Repository.
  * Update standards version to 4.5.0, no changes needed.

  [ Christoph Berg ]
  * New upstream version. Config changed in an incompatible way, users may
    need to move their ~/.fldigi/ directory away.

 -- Christoph Berg <myon@debian.org>  Tue, 08 Sep 2020 23:11:45 +0200

=== debian/control ===
Source: fldigi
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Kamal Mostafa <kamal@whence.com>,
 Jaime Robles <jaime@debian.org>,
 Patrick Ouellette <pouelle@debian.org>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 asciidoc,
 debhelper-compat (= 12),
 docbook-xsl,
 libfltk1.3-dev,
 libflxmlrpc-dev,
 libhamlib-dev,
 libmbedtls-dev (>= 2.16),
 libpng-dev,
 libpulse-dev,
 libsamplerate0-dev,
 libsndfile1-dev,
 portaudio19-dev,
 xsltproc,
Standards-Version: 4.5.0
Homepage: http://www.w1hkj.com/
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/fldigi.git
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/fldigi

Package: fldigi
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 extra-xdg-menus,
 sensible-utils,
 xdg-utils,
Description: digital modem program for hamradio operators
 Fldigi is a modem program which supports most of the digital modes used
 by hamradio operators today. You can also use the program for
 calibrating your sound card to WWV or doing a frequency measurement test.
 The program also comes with a CW decoder. Fldigi is written with the
 help of the Fast Light Toolkit X GUI.

## fldigi 4.1.20

=== debian/changelog ===
fldigi (4.1.20-1build1) jammy; urgency=medium

  * No-change rebuild against libmbedcrypto7

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 18 Feb 2022 23:40:16 +0000

fldigi (4.1.20-1) unstable; urgency=medium

  * New upstream version 4.1.20.
  * B-D on libudev-dev.
  * Retire Kamal, Patrick, and Jaime from Uploaders.

 -- Christoph Berg <myon@debian.org>  Tue, 31 Aug 2021 09:29:40 +0200

## fldigi 4.1.23

=== debian/changelog ===
fldigi (4.1.23-1) unstable; urgency=medium

  * New upstream version 4.1.23.

 -- Christoph Berg <myon@debian.org>  Wed, 17 Aug 2022 10:59:12 +0200

## fldigi 4.2.03

=== debian/changelog ===
fldigi (4.2.03-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:52:39 +1100

fldigi (4.2.03-1build2) noble; urgency=medium

  * No-change rebuild against mbedtls t64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Mar 2024 18:18:27 +0100

fldigi (4.2.03-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:29:57 +0000

fldigi (4.2.03-1) unstable; urgency=medium

  * New upstream version 4.2.03.

 -- Christoph Berg <myon@debian.org>  Mon, 06 Nov 2023 20:41:12 +0100

fldigi (4.2.00-1) unstable; urgency=medium

  * New upstream version 4.2.00.

 -- Christoph Berg <myon@debian.org>  Sat, 21 Oct 2023 11:49:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: fldigi
 Section: hamradio
 Priority: optional
-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
-Uploaders: Kamal Mostafa <kamal@whence.com>,
- Jaime Robles <jaime@debian.org>,
- Patrick Ouellette <pouelle@debian.org>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Uploaders:
  Christoph Berg <myon@debian.org>,
 Build-Depends:
  asciidoc,
@@ -18,6 +17,7 @@
  libpulse-dev,
  libsamplerate0-dev,
  libsndfile1-dev,
+ libudev-dev,
  portaudio19-dev,
  xsltproc,
 Standards-Version: 4.5.0

## fldigi 4.2.05

=== debian/changelog ===
fldigi (4.2.05-1build1) plucky; urgency=medium

  * Rebuild against latest mbedtls

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 21 Nov 2024 10:46:21 -0500

fldigi (4.2.05-1) unstable; urgency=medium

  * New upstream version 4.2.05.

 -- Christoph Berg <myon@debian.org>  Sat, 04 May 2024 12:04:07 +0200

## fldigi 4.2.06

=== debian/changelog ===
fldigi (4.2.06-1deepin1) unstable; urgency=medium

  * Strip t64

 -- Cryolitia <cryolitia@deepin.org>  Tue, 18 Feb 2025 16:06:08 +0100

fldigi (4.2.06-1) unstable; urgency=medium

  * New upstream version 4.2.06.

 -- Christoph Berg <myon@debian.org>  Mon, 10 Feb 2025 21:08:42 +0100

## fldigi 4.2.07

=== debian/changelog ===
fldigi (4.2.07-1) unstable; urgency=medium

  * New upstream version 4.2.07.

 -- Christoph Berg <myon@debian.org>  Sun, 03 Aug 2025 22:04:26 +0200

## fldigi 4.2.09

=== src/synop-src/Makefile ===
#----------------------------------------------------------------------------------
#  Make File for synop_tools
#----------------------------------------------------------------------------------

GCC     = gcc
CXX     = g++ 

INCLUDE = -I../ -I../include -I../libtiniconv -I../irrxml

OPTIM		=  -O2 -Wunused  -fexceptions -Wno-deprecated
CXXFLAGS	= $(OPTIM) $(INCLUDE) \
	-DLOCALEDIR=\"/usr/local/share/locale\" \
	-DPKGDATADIR=\"/usr/local/share/data\"
CFLAGS		= $(CXXFLAGS)

# libraries to link with:
LIBS		= -lpthread -ldl -lm -lrt

# ----------------------------------------------------------------------------------

.SUFFIXES: .cxx .o

all: synop_tool

synop_tool.o: synop_tool.cxx
	$(CXX) $(CXXFLAGS) -c $<

synop.o: synop.cxx
	$(CXX) $(CXXFLAGS) -c $<

coordinate.o: ../misc/coordinate.cxx
	$(CXX) $(CXXFLAGS) -c $<

kmlserver.o: ../misc/kmlserver.cxx
	$(CXX) $(CXXFLAGS) -c $<

irrXML.o: ../irrxml/irrXML.cpp
	$(CXX) $(CXXFLAGS) -c $<

re.o: ../misc/re.cxx
	$(CXX) $(CXXFLAGS) -c $<

strutil.o: ../misc/strutil.cxx
	$(CXX) $(CXXFLAGS) -c $<

timeops.o: ../misc/timeops.cxx
	$(CXX) $(CXXFLAGS) -c $<

util.o: ../misc/util.cxx
	$(CXX) $(CXXFLAGS) -c $<

threads.o: ../misc/threads.cxx
	$(CXX) $(CXXFLAGS) -c $<

cmd_debug.o: cmd_debug.cxx
	$(CXX) $(CXXFLAGS) -c $<

nls.o: ../misc/nls.cxx
	$(CXX) $(CXXFLAGS) -c $<

locator.o: ../misc/locator.c
	$(GCC) $(CFLAGS) -c $<

synop_tool: \
	synop_tool.o synop.o coordinate.o kmlserver.o irrXML.o re.o strutil.o \
	nls.o util.o cmd_debug.o threads.o timeops.o locator.o
	$(CXX) \
	synop_tool.o synop.o coordinate.o kmlserver.o irrXML.o re.o strutil.o \
	nls.o util.o cmd_debug.o threads.o timeops.o locator.o \
	-o synop_tool $(LIBS) 
       
clean:
	$(RM)  *.bak *~ *.o synop_tool

#----------------------------------------------------------------------------------

=== debian/changelog ===
fldigi (4.2.09-1) unstable; urgency=medium

  * New upstream version 4.2.09.

 -- Christoph Berg <myon@debian.org>  Fri, 12 Sep 2025 22:20:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fldigi
 Section: hamradio
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
+Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
 Uploaders:
  Christoph Berg <myon@debian.org>,
 Build-Depends:

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export BUILD_HOST = $(shell dpkg-vendor --query Vendor)
 
 %:
-	dh  $@
+	dh $@ 
 
 override_dh_clean:
 	# Remove the pre-generated man pages (often "NOT-BUILT" dummies)
@@ -27,6 +27,3 @@
 
 override_dh_installdocs:
 	dh_installdocs --link-doc=fldigi
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym

=== debian/watch ===
version=3
https://sf.net/fldigi/fldigi-([\d\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## fldigi 4.2.10

=== debian/changelog ===
fldigi (4.2.10-1) unstable; urgency=medium

  * New upstream version 4.2.10.
  * B-D on libgpiod-dev.

 -- Christoph Berg <myon@debian.org>  Sun, 23 Nov 2025 14:38:00 +0100

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  docbook-xsl,
  libfltk1.3-dev,
  libflxmlrpc-dev,
+ libgpiod-dev,
  libhamlib-dev,
  libmbedtls-dev (>= 2.16),
  libpng-dev,

## fldigi 4.2.11

=== debian/changelog ===
fldigi (4.2.11-1) unstable; urgency=medium

  * New upstream version 4.2.11.

 -- Christoph Berg <myon@debian.org>  Sat, 21 Feb 2026 09:09:30 +0100
